From b19da065d2ca1d0901f0c124e45661a911c2a91a Mon Sep 17 00:00:00 2001
From: Nitesh Shrivastav <nshrivas@codeaurora.org>
Date: Tue, 24 Jul 2018 13:59:48 -0700
Subject: [PATCH] Add support for Transport discovery AD type (2/2)

Change-Id: I4937634a639407d694bf72879b13bccdf17ec14c

diff --git a/src/com/android/bluetooth/gatt/AdvertiseHelper.java b/src/com/android/bluetooth/gatt/AdvertiseHelper.java
index 9355631..f74c116 100644
--- a/src/com/android/bluetooth/gatt/AdvertiseHelper.java
+++ b/src/com/android/bluetooth/gatt/AdvertiseHelper.java
@@ -39,6 +39,7 @@ class AdvertiseHelper {
   private static final int SERVICE_DATA_32_BIT_UUID = 0X20;
   private static final int SERVICE_DATA_128_BIT_UUID = 0X21;
   private static final int MANUFACTURER_SPECIFIC_DATA = 0XFF;
+  private static final int TRANSPORT_DISCOVERY_DATA = 0X26;
 
   public static byte[] advertiseDataToBytes(AdvertiseData data, String name) {
 
@@ -164,6 +165,13 @@ class AdvertiseHelper {
       }
     }
 
+    byte[] transportDiscoveryData = data.getTransportDiscoveryData();
+    if (transportDiscoveryData != null && (transportDiscoveryData.length > 0)) {
+        ret.write(transportDiscoveryData.length + 1);
+        ret.write(TRANSPORT_DISCOVERY_DATA);
+        ret.write(transportDiscoveryData, 0, transportDiscoveryData.length);
+    }
+
     return ret.toByteArray();
   }
 }
-- 
1.9.1

